summaryrefslogtreecommitdiffstats
path: root/jjb/fuel
diff options
context:
space:
mode:
authorFatih Degirmenci <fatih.degirmenci@ericsson.com>2016-01-29 09:12:18 +0100
committerFatih Degirmenci <fatih.degirmenci@ericsson.com>2016-01-29 09:21:07 +0100
commitdd02d5c00bd24b19e73d9192ef6cf6c29ed0693b (patch)
tree50dc2b387a1eab8f9484a3bd9125473e6d375d8b /jjb/fuel
parentb6e30957cfbe41a19f9c3594ebb31ecb5ed960a4 (diff)
fuel: Prevent gsutil setmeta warnings from failing the build
Change-Id: Ic151f0a0eaf19882e4925c097cf6ce8005b61a77 Signed-off-by: Fatih Degirmenci <fatih.degirmenci@ericsson.com>
Diffstat (limited to 'jjb/fuel')
-rwxr-xr-xjjb/fuel/fuel-upload-artifact.sh16
1 files changed, 13 insertions, 3 deletions
diff --git a/jjb/fuel/fuel-upload-artifact.sh b/jjb/fuel/fuel-upload-artifact.sh
index 3a8f90677..cf74eb459 100755
--- a/jjb/fuel/fuel-upload-artifact.sh
+++ b/jjb/fuel/fuel-upload-artifact.sh
@@ -7,7 +7,6 @@
# which accompanies this distribution, and is available at
# http://www.apache.org/licenses/LICENSE-2.0
##############################################################################
-set -o errexit
set -o nounset
set -o pipefail
@@ -41,11 +40,22 @@ fi
gsutil -m setmeta \
-h "Content-Type:text/html" \
-h "Cache-Control:private, max-age=0, no-transform" \
- gs://$GS_URL/*.properties > /dev/null 2>&1
+ gs://$GS_URL/latest.properties \
+ gs://$GS_URL/opnfv-$OPNFV_ARTIFACT_VERSION.properties > /dev/null 2>&1
gsutil -m setmeta \
-h "Cache-Control:private, max-age=0, no-transform" \
- gs://$GS_URL/*.iso > /dev/null 2>&1
+ gs://$GS_URL/opnfv-$OPNFV_ARTIFACT_VERSION.iso > /dev/null 2>&1
+
+# disabled errexit due to gsutil setmeta complaints
+# BadRequestException: 400 Invalid argument
+# check if we uploaded the file successfully to see if things are fine
+gsutil ls gs://$GS_URL/opnfv-$OPNFV_ARTIFACT_VERSION.iso > /dev/null 2>&1
+if [[ $? -ne 0 ]]; then
+ echo "Problem while uploading artifact!"
+ echo "Check log $WORKSPACE/gsutil.iso.log on the machine where this build is done."
+ exit 1
+fi
echo "Done!"
echo